package de.cnam.jemina.ui.components;

import com.vaadin.ui.LoginForm;
import de.cnam.jemina.i18n.LocalizationManager;

/**
 * Dialog zum Anmelden
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 19.01.2013
 */
public class LoginComponent extends LoginForm {
    
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(LoginComponent.class);

    public LoginComponent() {
        super();
        setSizeFull();
        setLoginButtonCaption(locale.localize("anmeldung"));
        setPasswordCaption(locale.localize("passwort"));
        setUsernameCaption(locale.localize("loginid"));
    }
    
}
